Get proof status
curl --request GET \
--url https://api.mnemom.ai/v1/checkpoints/{checkpoint_id}/proofimport requests
url = "https://api.mnemom.ai/v1/checkpoints/{checkpoint_id}/proof"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.mnemom.ai/v1/checkpoints/{checkpoint_id}/proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proof_id": "<string>",
"checkpoint_id": "<string>",
"status": "pending",
"proof_type": "<string>",
"verified": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"image_id": "<string>",
"proving_duration_ms": 123,
"verified_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Verification
Get proof status
Get the ZK proof status and data for a checkpoint.
GET
/
checkpoints
/
{checkpoint_id}
/
proof
Get proof status
Path Parameters
The checkpoint ID (ic-{uuid} format)
Response
Proof status and data
ZK proof status and metadata for a checkpoint
Proof identifier (prf-{8 random chars})
The checkpoint this proof is for
Current proof status
Available options:
pending, proving, completed, failed Proof system (e.g., sp1-stark)
Whether the proof has been verified
When the proof request was created
When the proof record was last updated
Guest program image ID (set when proving begins)
Wall-clock proving time in milliseconds (set when completed)
When the proof was verified (null if not yet verified)